/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * Autogenerated from camera metadata definitions in
 * /system/media/camera/docs/metadata_definitions.xml
 * *** DO NOT EDIT BY HAND ***
 */

package android.hardware.camera.metadata;

import android.hardware.camera.metadata.CameraMetadataSection;

/**
 * Hierarchy positions in enum space. All vendor extension sections must be
 * defined with tag >= VENDOR_SECTION_START
 */
@VintfStability
@Backing(type="int")
enum CameraMetadataSectionStart {
    ANDROID_COLOR_CORRECTION_START = CameraMetadataSection.ANDROID_COLOR_CORRECTION << 16,
    ANDROID_CONTROL_START = CameraMetadataSection.ANDROID_CONTROL << 16,
    ANDROID_DEMOSAIC_START = CameraMetadataSection.ANDROID_DEMOSAIC << 16,
    ANDROID_EDGE_START = CameraMetadataSection.ANDROID_EDGE << 16,
    ANDROID_FLASH_START = CameraMetadataSection.ANDROID_FLASH << 16,
    ANDROID_FLASH_INFO_START = CameraMetadataSection.ANDROID_FLASH_INFO << 16,
    ANDROID_HOT_PIXEL_START = CameraMetadataSection.ANDROID_HOT_PIXEL << 16,
    ANDROID_JPEG_START = CameraMetadataSection.ANDROID_JPEG << 16,
    ANDROID_LENS_START = CameraMetadataSection.ANDROID_LENS << 16,
    ANDROID_LENS_INFO_START = CameraMetadataSection.ANDROID_LENS_INFO << 16,
    ANDROID_NOISE_REDUCTION_START = CameraMetadataSection.ANDROID_NOISE_REDUCTION << 16,
    ANDROID_QUIRKS_START = CameraMetadataSection.ANDROID_QUIRKS << 16,
    ANDROID_REQUEST_START = CameraMetadataSection.ANDROID_REQUEST << 16,
    ANDROID_SCALER_START = CameraMetadataSection.ANDROID_SCALER << 16,
    ANDROID_SENSOR_START = CameraMetadataSection.ANDROID_SENSOR << 16,
    ANDROID_SENSOR_INFO_START = CameraMetadataSection.ANDROID_SENSOR_INFO << 16,
    ANDROID_SHADING_START = CameraMetadataSection.ANDROID_SHADING << 16,
    ANDROID_STATISTICS_START = CameraMetadataSection.ANDROID_STATISTICS << 16,
    ANDROID_STATISTICS_INFO_START = CameraMetadataSection.ANDROID_STATISTICS_INFO << 16,
    ANDROID_TONEMAP_START = CameraMetadataSection.ANDROID_TONEMAP << 16,
    ANDROID_LED_START = CameraMetadataSection.ANDROID_LED << 16,
    ANDROID_INFO_START = CameraMetadataSection.ANDROID_INFO << 16,
    ANDROID_BLACK_LEVEL_START = CameraMetadataSection.ANDROID_BLACK_LEVEL << 16,
    ANDROID_SYNC_START = CameraMetadataSection.ANDROID_SYNC << 16,
    ANDROID_REPROCESS_START = CameraMetadataSection.ANDROID_REPROCESS << 16,
    ANDROID_DEPTH_START = CameraMetadataSection.ANDROID_DEPTH << 16,
    ANDROID_LOGICAL_MULTI_CAMERA_START = CameraMetadataSection.ANDROID_LOGICAL_MULTI_CAMERA << 16,
    ANDROID_DISTORTION_CORRECTION_START = CameraMetadataSection.ANDROID_DISTORTION_CORRECTION << 16,
    ANDROID_HEIC_START = CameraMetadataSection.ANDROID_HEIC << 16,
    ANDROID_HEIC_INFO_START = CameraMetadataSection.ANDROID_HEIC_INFO << 16,
    ANDROID_AUTOMOTIVE_START = CameraMetadataSection.ANDROID_AUTOMOTIVE << 16,
    ANDROID_AUTOMOTIVE_LENS_START = CameraMetadataSection.ANDROID_AUTOMOTIVE_LENS << 16,
    VENDOR_SECTION_START = CameraMetadataSection.VENDOR_SECTION << 16,
}
