/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
///////////////////////////////////////////////////////////////////////////////
// THIS FILE IS IMMUTABLE. DO NOT EDIT IN ANY CASE.                          //
///////////////////////////////////////////////////////////////////////////////

// This file is a snapshot of an AIDL file. Do not edit it manually. There are
// two cases:
// 1). this is a frozen version file - do not edit this in any case.
// 2). this is a 'current' file. If you make a backwards compatible change to
//     the interface (from the latest frozen version), the build system will
//     prompt you to update this file with `m <name>-update-api`.
//
// You must not make a backward incompatible change to any AIDL file built
// with the aidl_interface module type with versions property set. The module
// type is used to build AIDL files in a way that they can be used across
// independently updatable components of the system. If a device is shipped
// with such a backward incompatible change, it has a high risk of breaking
// later when a module using the interface is updated, e.g., Mainline modules.

package android.hardware.radio.data;
@Backing(type="int") @JavaDerive(toString=true) @VintfStability
enum DataCallFailCause {
  NONE = 0,
  OPERATOR_BARRED = 8,
  NAS_SIGNALLING = 14,
  INSUFFICIENT_RESOURCES = 26,
  MISSING_UNKNOWN_APN = 27,
  UNKNOWN_PDP_ADDRESS_TYPE = 28,
  USER_AUTHENTICATION = 29,
  ACTIVATION_REJECT_GGSN = 30,
  ACTIVATION_REJECT_UNSPECIFIED = 31,
  SERVICE_OPTION_NOT_SUPPORTED = 32,
  SERVICE_OPTION_NOT_SUBSCRIBED = 33,
  SERVICE_OPTION_OUT_OF_ORDER = 34,
  NSAPI_IN_USE = 35,
  REGULAR_DEACTIVATION = 36,
  QOS_NOT_ACCEPTED = 37,
  NETWORK_FAILURE = 38,
  UMTS_REACTIVATION_REQ = 39,
  FEATURE_NOT_SUPP = 40,
  TFT_SEMANTIC_ERROR = 41,
  TFT_SYTAX_ERROR = 42,
  UNKNOWN_PDP_CONTEXT = 43,
  FILTER_SEMANTIC_ERROR = 44,
  FILTER_SYTAX_ERROR = 45,
  PDP_WITHOUT_ACTIVE_TFT = 46,
  ONLY_IPV4_ALLOWED = 50,
  ONLY_IPV6_ALLOWED = 51,
  ONLY_SINGLE_BEARER_ALLOWED = 52,
  ESM_INFO_NOT_RECEIVED = 53,
  PDN_CONN_DOES_NOT_EXIST = 54,
  MULTI_CONN_TO_SAME_PDN_NOT_ALLOWED = 55,
  MAX_ACTIVE_PDP_CONTEXT_REACHED = 65,
  UNSUPPORTED_APN_IN_CURRENT_PLMN = 66,
  INVALID_TRANSACTION_ID = 81,
  MESSAGE_INCORRECT_SEMANTIC = 95,
  INVALID_MANDATORY_INFO = 96,
  MESSAGE_TYPE_UNSUPPORTED = 97,
  MSG_TYPE_NONCOMPATIBLE_STATE = 98,
  UNKNOWN_INFO_ELEMENT = 99,
  CONDITIONAL_IE_ERROR = 100,
  MSG_AND_PROTOCOL_STATE_UNCOMPATIBLE = 101,
  PROTOCOL_ERRORS = 111,
  APN_TYPE_CONFLICT = 112,
  INVALID_PCSCF_ADDR = 113,
  INTERNAL_CALL_PREEMPT_BY_HIGH_PRIO_APN = 114,
  EMM_ACCESS_BARRED = 115,
  EMERGENCY_IFACE_ONLY = 116,
  IFACE_MISMATCH = 117,
  COMPANION_IFACE_IN_USE = 118,
  IP_ADDRESS_MISMATCH = 119,
  IFACE_AND_POL_FAMILY_MISMATCH = 120,
  EMM_ACCESS_BARRED_INFINITE_RETRY = 121,
  AUTH_FAILURE_ON_EMERGENCY_CALL = 122,
  OEM_DCFAILCAUSE_1 = 4097,
  OEM_DCFAILCAUSE_2 = 4098,
  OEM_DCFAILCAUSE_3 = 4099,
  OEM_DCFAILCAUSE_4 = 4100,
  OEM_DCFAILCAUSE_5 = 4101,
  OEM_DCFAILCAUSE_6 = 4102,
  OEM_DCFAILCAUSE_7 = 4103,
  OEM_DCFAILCAUSE_8 = 4104,
  OEM_DCFAILCAUSE_9 = 4105,
  OEM_DCFAILCAUSE_10 = 4106,
  OEM_DCFAILCAUSE_11 = 4107,
  OEM_DCFAILCAUSE_12 = 4108,
  OEM_DCFAILCAUSE_13 = 4109,
  OEM_DCFAILCAUSE_14 = 4110,
  OEM_DCFAILCAUSE_15 = 4111,
  VOICE_REGISTRATION_FAIL = -1,
  DATA_REGISTRATION_FAIL = -2,
  SIGNAL_LOST = -3,
  PREF_RADIO_TECH_CHANGED = -4,
  RADIO_POWER_OFF = -5,
  TETHERED_CALL_ACTIVE = -6,
  ERROR_UNSPECIFIED = 65535,
  LLC_SNDCP = 25,
  ACTIVATION_REJECTED_BCM_VIOLATION = 48,
  COLLISION_WITH_NETWORK_INITIATED_REQUEST = 56,
  ONLY_IPV4V6_ALLOWED = 57,
  ONLY_NON_IP_ALLOWED = 58,
  UNSUPPORTED_QCI_VALUE = 59,
  BEARER_HANDLING_NOT_SUPPORTED = 60,
  INVALID_DNS_ADDR = 123,
  INVALID_PCSCF_OR_DNS_ADDRESS = 124,
  CALL_PREEMPT_BY_EMERGENCY_APN = 127,
  UE_INITIATED_DETACH_OR_DISCONNECT = 128,
  MIP_FA_REASON_UNSPECIFIED = 2000,
  MIP_FA_ADMIN_PROHIBITED = 2001,
  MIP_FA_INSUFFICIENT_RESOURCES = 2002,
  MIP_FA_MOBILE_NODE_AUTHENTICATION_FAILURE = 2003,
  MIP_FA_HOME_AGENT_AUTHENTICATION_FAILURE = 2004,
  MIP_FA_REQUESTED_LIFETIME_TOO_LONG = 2005,
  MIP_FA_MALFORMED_REQUEST = 2006,
  MIP_FA_MALFORMED_REPLY = 2007,
  MIP_FA_ENCAPSULATION_UNAVAILABLE = 2008,
  MIP_FA_VJ_HEADER_COMPRESSION_UNAVAILABLE = 2009,
  MIP_FA_REVERSE_TUNNEL_UNAVAILABLE = 2010,
  MIP_FA_REVERSE_TUNNEL_IS_MANDATORY = 2011,
  MIP_FA_DELIVERY_STYLE_NOT_SUPPORTED = 2012,
  MIP_FA_MISSING_NAI = 2013,
  MIP_FA_MISSING_HOME_AGENT = 2014,
  MIP_FA_MISSING_HOME_ADDRESS = 2015,
  MIP_FA_UNKNOWN_CHALLENGE = 2016,
  MIP_FA_MISSING_CHALLENGE = 2017,
  MIP_FA_STALE_CHALLENGE = 2018,
  MIP_HA_REASON_UNSPECIFIED = 2019,
  MIP_HA_ADMIN_PROHIBITED = 2020,
  MIP_HA_INSUFFICIENT_RESOURCES = 2021,
  MIP_HA_MOBILE_NODE_AUTHENTICATION_FAILURE = 2022,
  MIP_HA_FOREIGN_AGENT_AUTHENTICATION_FAILURE = 2023,
  MIP_HA_REGISTRATION_ID_MISMATCH = 2024,
  MIP_HA_MALFORMED_REQUEST = 2025,
  MIP_HA_UNKNOWN_HOME_AGENT_ADDRESS = 2026,
  MIP_HA_REVERSE_TUNNEL_UNAVAILABLE = 2027,
  MIP_HA_REVERSE_TUNNEL_IS_MANDATORY = 2028,
  MIP_HA_ENCAPSULATION_UNAVAILABLE = 2029,
  CLOSE_IN_PROGRESS = 2030,
  NETWORK_INITIATED_TERMINATION = 2031,
  MODEM_APP_PREEMPTED = 2032,
  PDN_IPV4_CALL_DISALLOWED = 2033,
  PDN_IPV4_CALL_THROTTLED = 2034,
  PDN_IPV6_CALL_DISALLOWED = 2035,
  PDN_IPV6_CALL_THROTTLED = 2036,
  MODEM_RESTART = 2037,
  PDP_PPP_NOT_SUPPORTED = 2038,
  UNPREFERRED_RAT = 2039,
  PHYSICAL_LINK_CLOSE_IN_PROGRESS = 2040,
  APN_PENDING_HANDOVER = 2041,
  PROFILE_BEARER_INCOMPATIBLE = 2042,
  SIM_CARD_CHANGED = 2043,
  LOW_POWER_MODE_OR_POWERING_DOWN = 2044,
  APN_DISABLED = 2045,
  MAX_PPP_INACTIVITY_TIMER_EXPIRED = 2046,
  IPV6_ADDRESS_TRANSFER_FAILED = 2047,
  TRAT_SWAP_FAILED = 2048,
  EHRPD_TO_HRPD_FALLBACK = 2049,
  MIP_CONFIG_FAILURE = 2050,
  PDN_INACTIVITY_TIMER_EXPIRED = 2051,
  MAX_IPV4_CONNECTIONS = 2052,
  MAX_IPV6_CONNECTIONS = 2053,
  APN_MISMATCH = 2054,
  IP_VERSION_MISMATCH = 2055,
  DUN_CALL_DISALLOWED = 2056,
  INTERNAL_EPC_NONEPC_TRANSITION = 2057,
  INTERFACE_IN_USE = 2058,
  APN_DISALLOWED_ON_ROAMING = 2059,
  APN_PARAMETERS_CHANGED = 2060,
  NULL_APN_DISALLOWED = 2061,
  THERMAL_MITIGATION = 2062,
  DATA_SETTINGS_DISABLED = 2063,
  DATA_ROAMING_SETTINGS_DISABLED = 2064,
  DDS_SWITCHED = 2065,
  FORBIDDEN_APN_NAME = 2066,
  DDS_SWITCH_IN_PROGRESS = 2067,
  CALL_DISALLOWED_IN_ROAMING = 2068,
  NON_IP_NOT_SUPPORTED = 2069,
  PDN_NON_IP_CALL_THROTTLED = 2070,
  PDN_NON_IP_CALL_DISALLOWED = 2071,
  CDMA_LOCK = 2072,
  CDMA_INTERCEPT = 2073,
  CDMA_REORDER = 2074,
  CDMA_RELEASE_DUE_TO_SO_REJECTION = 2075,
  CDMA_INCOMING_CALL = 2076,
  CDMA_ALERT_STOP = 2077,
  CHANNEL_ACQUISITION_FAILURE = 2078,
  MAX_ACCESS_PROBE = 2079,
  CONCURRENT_SERVICE_NOT_SUPPORTED_BY_BASE_STATION = 2080,
  NO_RESPONSE_FROM_BASE_STATION = 2081,
  REJECTED_BY_BASE_STATION = 2082,
  CONCURRENT_SERVICES_INCOMPATIBLE = 2083,
  NO_CDMA_SERVICE = 2084,
  RUIM_NOT_PRESENT = 2085,
  CDMA_RETRY_ORDER = 2086,
  ACCESS_BLOCK = 2087,
  ACCESS_BLOCK_ALL = 2088,
  IS707B_MAX_ACCESS_PROBES = 2089,
  THERMAL_EMERGENCY = 2090,
  CONCURRENT_SERVICES_NOT_ALLOWED = 2091,
  INCOMING_CALL_REJECTED = 2092,
  NO_SERVICE_ON_GATEWAY = 2093,
  NO_GPRS_CONTEXT = 2094,
  ILLEGAL_MS = 2095,
  ILLEGAL_ME = 2096,
  GPRS_SERVICES_AND_NON_GPRS_SERVICES_NOT_ALLOWED = 2097,
  GPRS_SERVICES_NOT_ALLOWED = 2098,
  MS_IDENTITY_CANNOT_BE_DERIVED_BY_THE_NETWORK = 2099,
  IMPLICITLY_DETACHED = 2100,
  PLMN_NOT_ALLOWED = 2101,
  LOCATION_AREA_NOT_ALLOWED = 2102,
  GPRS_SERVICES_NOT_ALLOWED_IN_THIS_PLMN = 2103,
  PDP_DUPLICATE = 2104,
  UE_RAT_CHANGE = 2105,
  CONGESTION = 2106,
  NO_PDP_CONTEXT_ACTIVATED = 2107,
  ACCESS_CLASS_DSAC_REJECTION = 2108,
  PDP_ACTIVATE_MAX_RETRY_FAILED = 2109,
  RADIO_ACCESS_BEARER_FAILURE = 2110,
  ESM_UNKNOWN_EPS_BEARER_CONTEXT = 2111,
  DRB_RELEASED_BY_RRC = 2112,
  CONNECTION_RELEASED = 2113,
  EMM_DETACHED = 2114,
  EMM_ATTACH_FAILED = 2115,
  EMM_ATTACH_STARTED = 2116,
  LTE_NAS_SERVICE_REQUEST_FAILED = 2117,
  DUPLICATE_BEARER_ID = 2118,
  ESM_COLLISION_SCENARIOS = 2119,
  ESM_BEARER_DEACTIVATED_TO_SYNC_WITH_NETWORK = 2120,
  ESM_NW_ACTIVATED_DED_BEARER_WITH_ID_OF_DEF_BEARER = 2121,
  ESM_BAD_OTA_MESSAGE = 2122,
  ESM_DOWNLOAD_SERVER_REJECTED_THE_CALL = 2123,
  ESM_CONTEXT_TRANSFERRED_DUE_TO_IRAT = 2124,
  DS_EXPLICIT_DEACTIVATION = 2125,
  ESM_LOCAL_CAUSE_NONE = 2126,
  LTE_THROTTLING_NOT_REQUIRED = 2127,
  ACCESS_CONTROL_LIST_CHECK_FAILURE = 2128,
  SERVICE_NOT_ALLOWED_ON_PLMN = 2129,
  EMM_T3417_EXPIRED = 2130,
  EMM_T3417_EXT_EXPIRED = 2131,
  RRC_UPLINK_DATA_TRANSMISSION_FAILURE = 2132,
  RRC_UPLINK_DELIVERY_FAILED_DUE_TO_HANDOVER = 2133,
  RRC_UPLINK_CONNECTION_RELEASE = 2134,
  RRC_UPLINK_RADIO_LINK_FAILURE = 2135,
  RRC_UPLINK_ERROR_REQUEST_FROM_NAS = 2136,
  RRC_CONNECTION_ACCESS_STRATUM_FAILURE = 2137,
  RRC_CONNECTION_ANOTHER_PROCEDURE_IN_PROGRESS = 2138,
  RRC_CONNECTION_ACCESS_BARRED = 2139,
  RRC_CONNECTION_CELL_RESELECTION = 2140,
  RRC_CONNECTION_CONFIG_FAILURE = 2141,
  RRC_CONNECTION_TIMER_EXPIRED = 2142,
  RRC_CONNECTION_LINK_FAILURE = 2143,
  RRC_CONNECTION_CELL_NOT_CAMPED = 2144,
  RRC_CONNECTION_SYSTEM_INTERVAL_FAILURE = 2145,
  RRC_CONNECTION_REJECT_BY_NETWORK = 2146,
  RRC_CONNECTION_NORMAL_RELEASE = 2147,
  RRC_CONNECTION_RADIO_LINK_FAILURE = 2148,
  RRC_CONNECTION_REESTABLISHMENT_FAILURE = 2149,
  RRC_CONNECTION_OUT_OF_SERVICE_DURING_CELL_REGISTER = 2150,
  RRC_CONNECTION_ABORT_REQUEST = 2151,
  RRC_CONNECTION_SYSTEM_INFORMATION_BLOCK_READ_ERROR = 2152,
  NETWORK_INITIATED_DETACH_WITH_AUTO_REATTACH = 2153,
  NETWORK_INITIATED_DETACH_NO_AUTO_REATTACH = 2154,
  ESM_PROCEDURE_TIME_OUT = 2155,
  INVALID_CONNECTION_ID = 2156,
  MAXIMIUM_NSAPIS_EXCEEDED = 2157,
  INVALID_PRIMARY_NSAPI = 2158,
  CANNOT_ENCODE_OTA_MESSAGE = 2159,
  RADIO_ACCESS_BEARER_SETUP_FAILURE = 2160,
  PDP_ESTABLISH_TIMEOUT_EXPIRED = 2161,
  PDP_MODIFY_TIMEOUT_EXPIRED = 2162,
  PDP_INACTIVE_TIMEOUT_EXPIRED = 2163,
  PDP_LOWERLAYER_ERROR = 2164,
  PDP_MODIFY_COLLISION = 2165,
  MAXINUM_SIZE_OF_L2_MESSAGE_EXCEEDED = 2166,
  NAS_REQUEST_REJECTED_BY_NETWORK = 2167,
  RRC_CONNECTION_INVALID_REQUEST = 2168,
  RRC_CONNECTION_TRACKING_AREA_ID_CHANGED = 2169,
  RRC_CONNECTION_RF_UNAVAILABLE = 2170,
  RRC_CONNECTION_ABORTED_DUE_TO_IRAT_CHANGE = 2171,
  RRC_CONNECTION_RELEASED_SECURITY_NOT_ACTIVE = 2172,
  RRC_CONNECTION_ABORTED_AFTER_HANDOVER = 2173,
  RRC_CONNECTION_ABORTED_AFTER_IRAT_CELL_CHANGE = 2174,
  RRC_CONNECTION_ABORTED_DURING_IRAT_CELL_CHANGE = 2175,
  IMSI_UNKNOWN_IN_HOME_SUBSCRIBER_SERVER = 2176,
  IMEI_NOT_ACCEPTED = 2177,
  EPS_SERVICES_AND_NON_EPS_SERVICES_NOT_ALLOWED = 2178,
  EPS_SERVICES_NOT_ALLOWED_IN_PLMN = 2179,
  MSC_TEMPORARILY_NOT_REACHABLE = 2180,
  CS_DOMAIN_NOT_AVAILABLE = 2181,
  ESM_FAILURE = 2182,
  MAC_FAILURE = 2183,
  SYNCHRONIZATION_FAILURE = 2184,
  UE_SECURITY_CAPABILITIES_MISMATCH = 2185,
  SECURITY_MODE_REJECTED = 2186,
  UNACCEPTABLE_NON_EPS_AUTHENTICATION = 2187,
  CS_FALLBACK_CALL_ESTABLISHMENT_NOT_ALLOWED = 2188,
  NO_EPS_BEARER_CONTEXT_ACTIVATED = 2189,
  INVALID_EMM_STATE = 2190,
  NAS_LAYER_FAILURE = 2191,
  MULTIPLE_PDP_CALL_NOT_ALLOWED = 2192,
  EMBMS_NOT_ENABLED = 2193,
  IRAT_HANDOVER_FAILED = 2194,
  EMBMS_REGULAR_DEACTIVATION = 2195,
  TEST_LOOPBACK_REGULAR_DEACTIVATION = 2196,
  LOWER_LAYER_REGISTRATION_FAILURE = 2197,
  DATA_PLAN_EXPIRED = 2198,
  UMTS_HANDOVER_TO_IWLAN = 2199,
  EVDO_CONNECTION_DENY_BY_GENERAL_OR_NETWORK_BUSY = 2200,
  EVDO_CONNECTION_DENY_BY_BILLING_OR_AUTHENTICATION_FAILURE = 2201,
  EVDO_HDR_CHANGED = 2202,
  EVDO_HDR_EXITED = 2203,
  EVDO_HDR_NO_SESSION = 2204,
  EVDO_USING_GPS_FIX_INSTEAD_OF_HDR_CALL = 2205,
  EVDO_HDR_CONNECTION_SETUP_TIMEOUT = 2206,
  FAILED_TO_ACQUIRE_COLOCATED_HDR = 2207,
  OTASP_COMMIT_IN_PROGRESS = 2208,
  NO_HYBRID_HDR_SERVICE = 2209,
  HDR_NO_LOCK_GRANTED = 2210,
  DBM_OR_SMS_IN_PROGRESS = 2211,
  HDR_FADE = 2212,
  HDR_ACCESS_FAILURE = 2213,
  UNSUPPORTED_1X_PREV = 2214,
  LOCAL_END = 2215,
  NO_SERVICE = 2216,
  FADE = 2217,
  NORMAL_RELEASE = 2218,
  ACCESS_ATTEMPT_ALREADY_IN_PROGRESS = 2219,
  REDIRECTION_OR_HANDOFF_IN_PROGRESS = 2220,
  EMERGENCY_MODE = 2221,
  PHONE_IN_USE = 2222,
  INVALID_MODE = 2223,
  INVALID_SIM_STATE = 2224,
  NO_COLLOCATED_HDR = 2225,
  UE_IS_ENTERING_POWERSAVE_MODE = 2226,
  DUAL_SWITCH = 2227,
  PPP_TIMEOUT = 2228,
  PPP_AUTH_FAILURE = 2229,
  PPP_OPTION_MISMATCH = 2230,
  PPP_PAP_FAILURE = 2231,
  PPP_CHAP_FAILURE = 2232,
  PPP_CLOSE_IN_PROGRESS = 2233,
  LIMITED_TO_IPV4 = 2234,
  LIMITED_TO_IPV6 = 2235,
  VSNCP_TIMEOUT = 2236,
  VSNCP_GEN_ERROR = 2237,
  VSNCP_APN_UNAUTHORIZED = 2238,
  VSNCP_PDN_LIMIT_EXCEEDED = 2239,
  VSNCP_NO_PDN_GATEWAY_ADDRESS = 2240,
  VSNCP_PDN_GATEWAY_UNREACHABLE = 2241,
  VSNCP_PDN_GATEWAY_REJECT = 2242,
  VSNCP_INSUFFICIENT_PARAMETERS = 2243,
  VSNCP_RESOURCE_UNAVAILABLE = 2244,
  VSNCP_ADMINISTRATIVELY_PROHIBITED = 2245,
  VSNCP_PDN_ID_IN_USE = 2246,
  VSNCP_SUBSCRIBER_LIMITATION = 2247,
  VSNCP_PDN_EXISTS_FOR_THIS_APN = 2248,
  VSNCP_RECONNECT_NOT_ALLOWED = 2249,
  IPV6_PREFIX_UNAVAILABLE = 2250,
  HANDOFF_PREFERENCE_CHANGED = 2251,
  SLICE_REJECTED = 2252,
  MATCH_ALL_RULE_NOT_ALLOWED = 2253,
  ALL_MATCHING_RULES_FAILED = 2254,
}
